Bug 176095 - switching between KDE and Gnome creates confused desktops
switching between KDE and Gnome creates confused desktops
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 07:19 EST by Robert Greimel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Greimel 2005-12-19 07:19:13 EST
Description of problem:
Use Gnome. Add battery status (this is a laptop in the end!) to panel. Use KDE
for the next login. Add battery status to panel. Use Gnome again in the next
session. Suddenly there are 2 battery status displays on the panel and a second
trash can (this one apparently with deleted files although I am sure I did not
delete anything) appears on the Desktop.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Use Gnome
2. Use KDE
3. Use Gnome
  
Actual results:


Expected results:


Additional info:
Comment 1 Christian Iseli 2007-01-19 19:54:24 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Robert Greimel 2007-01-22 10:21:47 EST
Adding componenets to the KDE panel no longer seems to confuse the Gnome panel
(I didn't test with the battery status as in the original message as this
appears now automatically for my laptop in FC6). But Gnome still shows a second
Trash can after a switch to KDE. I assume this is because KDE creates a
~/Desktop/trash.desktop file - which contains as the last line
OnlyShowIn=KDE
Comment 3 yanfeng 2007-02-28 11:41:43 EST
Component: Software Updater
Summary: TBc3704fb6 config.py:656:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pup", line 573, in ?
    main()
  File "/usr/sbin/pup", line 566, in main
    pup = PackageUpdater()
  File "/usr/sbin/pup", line 87, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 125, in
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 597, in readMainConfig
    vars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 656, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x95a3e6c>
distroverpkg: redhat-release
Comment 4 Ray Strode [halfline] 2007-08-14 11:41:09 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.